###############################################################################
# DO NOT EDIT THIS FILE.
#
# Your changes to this file will be overwritten by ServerPilot.
#
# For information on how to customize nginx settings, see
# https://serverpilot.io/community/articles/customize-nginx-settings.html
###############################################################################
server {
    listen       80;
    listen       [::]:80;
    server_name {{ servername }}{% if serveralias %} {{ serveralias }}{% endif %};
    return 301 https://$server_name$request_uri;
}

server {
    listen       443 ssl http2;
    listen       [::]:443 ssl http2;
    server_name {{ servername }}{% if serveralias %} {{ serveralias }}{% endif %};

    ssl_certificate_key      {{ sslpath }}/live/{{appname}}/privkey.pem;
    ssl_certificate          {{ sslpath }}/live/{{appname}}/fullchain.pem;

    root   /srv/users/{{ username }}/apps/{{ appname }}/public;

    access_log  /srv/users/{{ username }}/log/{{ appname }}/{{ appname }}_nginx.access_ssl.log  main;
    error_log  /srv/users/{{ username }}/log/{{ appname }}/{{ appname }}_nginx.error_ssl.log;

    proxy_set_header    Host              $host;
    proxy_set_header    X-Real-IP         $remote_addr;
    proxy_set_header    X-Forwarded-For   $proxy_add_x_forwarded_for;
    proxy_set_header    X-Forwarded-SSL   on;
    proxy_set_header    X-Forwarded-Proto $scheme;

    include /etc/nginx-sp/vhosts.d/{{ appname }}.d/*.ssl_conf;
    include /etc/nginx-sp/vhosts.d/{{ appname }}.d/*.conf;
}
